// output in clock mode
void myDisplay() {
//  if (refresh) myGLCD.clear;
  time2display(5, 20, true, 0, 255, 0);
  if (refresh) {
    date2display(5, 150, true, 255, 0, 255, BigFont);
    myGLCD.setColor(VGA_RED);
    if (alarm1.is_enabled||alarm2.is_enabled||alarm3.is_enabled) 
       myGLCD.drawBitmap(290,0,26,27,almz02);
    VButton (20, 200, 80, 30, 1); //hide
    VButton (120, 200, 80, 30, 2); //set
    VButton (220, 200, 80, 30, 3); //alarm
    refresh=false;
  }
}  

void time2display(int x, int y, boolean seconds, int r, int g, int b) {
  myGLCD.setColor(r, g, b);
  myGLCD.setFont(SevenSeg_XXXL_Num);
  myGLCD.printNumI(hour_now, x, y, 2, '0');
  if (sec_now % 2) {
    myGLCD.setColor(myGLCD.getBackColor());
  }
  myGLCD.fillCircle(x+148, y+70, 4);
  myGLCD.fillCircle(x+148, y+28, 4);
  myGLCD.setColor(r, g, b);
  myGLCD.printNumI(min_now, x+170, y, 2, '0');
  if (seconds) {
    myGLCD.setFont(SmallFont);
    myGLCD.printNumI(sec_now, x, y-10, 2, '0');
  }
}

void date2display(int x, int y, boolean weekday, int r, int g, int b, uint8_t* font) {
  char buffer[30];
  myGLCD.setColor(r, g, b);
  myGLCD.setFont(font);
  if (weekday){
    sprintf(buffer,"%s %2d %s %4d",wDay[dow_now], day_now,wMonth[month_now-1],year_now);
  }
  else {
    sprintf(buffer,"%2d %s %4d",day_now,wMonth[month_now-1],year_now);
  } 
  myGLCD.print(buffer, x, y);
}

// output in set time mode
void set2display(int x, int y, int r, int g, int b) {
  myGLCD.setColor(r, g, b);
  myGLCD.setFont(SevenSeg_XXXL_Num);
  myGLCD.printNumI(chour, x, y, 2, '0');
  myGLCD.fillCircle(x+148, y+70, 4);
  myGLCD.fillCircle(x+148, y+28, 4);
  myGLCD.printNumI(cmin, x+170, y, 2, '0');
}

// output in set date mode
void dtset2display(int x, int y, int r, int g, int b) {
  myGLCD.setColor(r, g, b);
  myGLCD.setFont(SevenSegNumFont);
  myGLCD.printNumI(cday, x, y, 2, '0');
  myGLCD.fillCircle(x+80, y+46, 4);
  myGLCD.printNumI(cmonth, x+96, y, 2, '0');
  myGLCD.fillCircle(x+176, y+46, 4);
  myGLCD.printNumI(cyear, x+192, y, 2, '0');
}
